# Class OidcConfiguration

java.lang.Object
com.codename1.io.oidc.OidcConfiguration

public final class OidcConfiguration extends Object

The subset of an OpenID Connect provider's `.well-known/openid-configuration` document that `OidcClient` cares about. Construct directly when you already know the endpoints, or obtain via `OidcClient.discover(String)` which fetches and parses the document.

All fields are immutable after construction. Use `newBuilder()` to start from a blank slate; use `newBuilder(OidcConfiguration)` to derive one from an existing instance.

Since:
  7.0.245

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `OidcConfiguration.Builder`
  Fluent builder for `OidcConfiguration`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static OidcConfiguration`
  `fromDiscoveryJson(Map<String,Object> json)`
  Builds an `OidcConfiguration` from a parsed discovery JSON document.
  `String`
  `getAuthorizationEndpoint()`
  `String`
  `getEndSessionEndpoint()`
  `String`
  `getIssuer()`
  `String`
  `getJwksUri()`
  `String`
  `getRevocationEndpoint()`
  `String`
  `getTokenEndpoint()`
  `String`
  `getUserInfoEndpoint()`
  `static OidcConfiguration.Builder`
  `newBuilder()`
  `static OidcConfiguration.Builder`
  `newBuilder(OidcConfiguration source)`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### fromDiscoveryJson

    public static OidcConfiguration fromDiscoveryJson(Map<String,Object> json)
    Builds an `OidcConfiguration` from a parsed discovery JSON document. Only the fields this client needs are extracted; anything else is ignored.

  - ### getIssuer

    public String getIssuer()

  - ### getAuthorizationEndpoint

    public String getAuthorizationEndpoint()

  - ### getTokenEndpoint

    public String getTokenEndpoint()

  - ### getUserInfoEndpoint

    public String getUserInfoEndpoint()

  - ### getRevocationEndpoint

    public String getRevocationEndpoint()

  - ### getEndSessionEndpoint

    public String getEndSessionEndpoint()

  - ### getJwksUri

    public String getJwksUri()

  - ### newBuilder

    public static OidcConfiguration.Builder newBuilder()

  - ### newBuilder

    public static OidcConfiguration.Builder newBuilder(OidcConfiguration source)